/* KallistiOS 1.1.9

   unistd.h
   (c)2000-2001 Dan Potter

   $Id: unistd.h,v 1.1 2002/02/09 06:15:42 bardtx Exp $

*/

#ifndef __UNISTD_H
#define __UNISTD_H

#include <sys/cdefs.h>
__BEGIN_DECLS

#include <stddef.h>
#include <arch/types.h>

int open(const char *name,int mode,...);
int read(int fd,char *ptr,size_t len);
int write(int fd,const char *ptr,size_t len);
int close(int fd);
int lseek(int fd, off_t offset, int whence);
int unlink(const char *name);

int mkdir(const char *path,int mode);
int chdir(const char *path);
char *getcwd(char *buf, size_t size);
int access(const char *name,int mode);
long filelength(int fd);


void usleep(unsigned long usec);

#define	F_OK	0

/* dmy value */
#define	O_CREAT	0
#define	O_BINARY	0
#define	O_TEXT	0

#define	S_IREAD	0
#define	S_IWRITE	0

__END_DECLS

#endif	/* __UNISTD_H */

